package com.friday.tooldriver.mapper.taieoc;

import com.friday.tooldriver.dto.common.GroupSelectFilter;
import com.friday.tooldriver.po.taieoc.GroupPo;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ProgramGroupMapper {
    void insertGroup(GroupPo group);
    GroupPo selectGroupById(Integer groupId);
    List<GroupPo> selectGroups(GroupSelectFilter filter);
    void deleteGroupById(Integer groupId);
}
